Last Comment Bug 320498 - Fix NewChannel impls to handle null in argument
: Fix NewChannel impls to handle null in argument
Status: RESOLVED FIXED
[nvn-dl]
: fixed1.8.0.2, fixed1.8.1
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: timeless
: benc
Mentors:
Depends on:
Blocks: 320065
  Show dependency treegraph
 
Reported: 2005-12-16 00:32 PST by timeless
Modified: 2006-02-26 09:12 PST (History)
4 users (show)
dveditz: blocking1.8.0.2+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
handle null pointers (15.98 KB, patch)
2005-12-16 00:36 PST, timeless
darin.moz: review+
darin.moz: superreview+
darin.moz: approval‑branch‑1.8.1+
dveditz: approval1.8.0.2+
Details | Diff | Splinter Review

Description timeless 2005-12-16 00:32:38 PST
 
Comment 1 timeless 2005-12-16 00:36:04 PST
Created attachment 206067 [details] [diff] [review]
handle null pointers
Comment 2 timeless 2005-12-18 08:31:37 PST
Comment on attachment 206067 [details] [diff] [review]
handle null pointers

mozilla/netwerk/protocol/viewsource/src/nsViewSourceHandler.cpp 	1.13
mozilla/netwerk/protocol/keyword/src/nsKeywordProtocolHandler.cpp 	1.39
mozilla/netwerk/protocol/gopher/src/nsGopherHandler.cpp 	1.21
mozilla/netwerk/protocol/res/src/nsResProtocolHandler.cpp 	1.65
mozilla/netwerk/protocol/ftp/src/nsFtpProtocolHandler.cpp 	1.87
mozilla/browser/components/places/src/nsAnnoProtocolHandler.cpp 	1.3
mozilla/content/html/document/src/nsWyciwygProtocolHandler.cpp 	1.8
mozilla/directory/xpcom/base/src/nsLDAPProtocolHandler.cpp 	1.17
mozilla/modules/libpr0n/decoders/icon/nsIconProtocolHandler.cpp 	1.16
mozilla/embedding/tests/wxEmbed/GeckoProtocolHandler.cpp 	1.10
mozilla/extensions/finger/nsFingerHandler.cpp 	1.19
mozilla/mailnews/compose/src/nsSmtpService.cpp 	1.137
mozilla/extensions/gnomevfs/nsGnomeVFSProtocolHandler.cpp 	1.9
mozilla/mailnews/local/src/nsMailboxService.cpp 	1.121
mozilla/mailnews/local/src/nsPop3Service.cpp 	1.110
mozilla/netwerk/protocol/about/src/nsAboutBlank.cpp 	1.33
mozilla/netwerk/protocol/about/src/nsAboutBloat.cpp 	1.40
mozilla/netwerk/protocol/about/src/nsAboutCache.cpp 	1.43
mozilla/netwerk/protocol/about/src/nsAboutCacheEntry.cpp 	1.31
mozilla/netwerk/protocol/about/src/nsAboutProtocolHandler.cpp 	1.42
mozilla/netwerk/protocol/about/src/nsAboutRedirector.cpp 	1.24
mozilla/mailnews/news/src/nsNntpService.cpp 	1.254
mozilla/extensions/datetime/nsDateTimeHandler.cpp 	1.17
mozilla/netwerk/protocol/data/src/nsDataHandler.cpp 	1.28
Comment 3 Adam Guthrie 2006-01-14 20:03:50 PST
Comment on attachment 206067 [details] [diff] [review]
handle null pointers

timeless says this will fix bug 320065, which is, for all intensive purposes, the #1 topcrasher in 1.5. This is a very safe fix (it just adds null pointer checks to several functions), and has been on trunk about a month with no obvious regressions.
Comment 4 Peter van der Woude [:Peter6] 2006-01-17 10:09:41 PST
would this fix Bug 306767 too ?
Comment 5 Daniel Veditz [:dveditz] 2006-02-14 15:52:24 PST
Comment on attachment 206067 [details] [diff] [review]
handle null pointers

approved for 1.8.0 branch, a=dveditz for drivers
Comment 6 timeless 2006-02-16 01:19:15 PST
Comment on attachment 206067 [details] [diff] [review]
handle null pointers

MOZILLA_1_8_0_BRANCH:
mozilla/content/html/document/src/nsWyciwygProtocolHandler.cpp 	1.7.36.1
mozilla/directory/xpcom/base/src/nsLDAPProtocolHandler.cpp 	1.16.36.1
mozilla/embedding/tests/wxEmbed/GeckoProtocolHandler.cpp 	1.8.12.1.4.1
mozilla/extensions/datetime/nsDateTimeHandler.cpp 	1.16.28.1
mozilla/extensions/finger/nsFingerHandler.cpp 	1.18.28.1
mozilla/extensions/gnomevfs/nsGnomeVFSProtocolHandler.cpp 	1.7.16.1
mozilla/mailnews/compose/src/nsSmtpService.cpp 	1.135.10.1
mozilla/mailnews/local/src/nsMailboxService.cpp 	1.114.8.3.2.1
mozilla/mailnews/local/src/nsPop3Service.cpp 	1.109.10.1
mozilla/mailnews/news/src/nsNntpService.cpp 	1.253.10.1
mozilla/modules/libpr0n/decoders/icon/nsIconProtocolHandler.cpp 	1.15.16.1
mozilla/netwerk/protocol/about/src/nsAboutBlank.cpp 	1.30.20.1.4.1
mozilla/netwerk/protocol/about/src/nsAboutBloat.cpp 	1.38.18.1.4.1
mozilla/netwerk/protocol/about/src/nsAboutCache.cpp 	1.39.12.1.4.1
mozilla/netwerk/protocol/about/src/nsAboutCacheEntry.cpp 	1.28.12.1.4.1
mozilla/netwerk/protocol/about/src/nsAboutCacheEntry.cpp 	1.28.12.1.4.2
mozilla/netwerk/protocol/about/src/nsAboutProtocolHandler.cpp 	1.39.2.1.2.1
mozilla/netwerk/protocol/about/src/nsAboutRedirector.cpp 	1.22.2.1.2.1
mozilla/netwerk/protocol/data/src/nsDataHandler.cpp 	1.26.26.1
mozilla/netwerk/protocol/data/src/nsDataHandler.cpp 	1.26.26.2
mozilla/netwerk/protocol/ftp/src/nsFtpProtocolHandler.cpp 	1.86.16.1
mozilla/netwerk/protocol/gopher/src/nsGopherHandler.cpp 	1.19.26.1
mozilla/netwerk/protocol/gopher/src/nsGopherHandler.cpp 	1.19.26.2
mozilla/netwerk/protocol/keyword/src/nsKeywordProtocolHandler.cpp 	1.37.26.1
mozilla/netwerk/protocol/res/src/nsResProtocolHandler.cpp 	1.64.26.1
mozilla/netwerk/protocol/viewsource/src/nsViewSourceHandler.cpp 	1.12.32.1

MOZILLA_1_8_BRANCH:
mozilla/content/html/document/src/nsWyciwygProtocolHandler.cpp 	1.7.28.1
mozilla/directory/xpcom/base/src/nsLDAPProtocolHandler.cpp 	1.16.28.1
mozilla/embedding/tests/wxEmbed/GeckoProtocolHandler.cpp 	1.8.12.2
mozilla/extensions/datetime/nsDateTimeHandler.cpp 	1.16.20.1
mozilla/extensions/finger/nsFingerHandler.cpp 	1.18.20.1
mozilla/extensions/gnomevfs/nsGnomeVFSProtocolHandler.cpp 	1.7.8.1
mozilla/mailnews/compose/src/nsSmtpService.cpp 	1.135.2.1
mozilla/mailnews/local/src/nsMailboxService.cpp 	1.114.8.5
mozilla/mailnews/local/src/nsPop3Service.cpp 	1.109.2.1
mozilla/mailnews/news/src/nsNntpService.cpp 	1.253.2.1
mozilla/modules/libpr0n/decoders/icon/nsIconProtocolHandler.cpp 	1.15.8.1
mozilla/netwerk/protocol/about/src/nsAboutBlank.cpp 	1.30.20.2
mozilla/netwerk/protocol/about/src/nsAboutBloat.cpp 	1.38.18.2
mozilla/netwerk/protocol/about/src/nsAboutCache.cpp 	1.39.12.2
mozilla/netwerk/protocol/about/src/nsAboutCacheEntry.cpp 	1.28.12.2
mozilla/netwerk/protocol/about/src/nsAboutCacheEntry.cpp 	1.28.12.3
mozilla/netwerk/protocol/about/src/nsAboutProtocolHandler.cpp 	1.39.2.2
mozilla/netwerk/protocol/about/src/nsAboutRedirector.cpp 	1.22.2.3
mozilla/netwerk/protocol/data/src/nsDataHandler.cpp 	1.26.18.1
mozilla/netwerk/protocol/data/src/nsDataHandler.cpp 	1.26.18.2
mozilla/netwerk/protocol/ftp/src/nsFtpProtocolHandler.cpp 	1.86.8.1
mozilla/netwerk/protocol/gopher/src/nsGopherHandler.cpp 	1.19.18.1
mozilla/netwerk/protocol/gopher/src/nsGopherHandler.cpp 	1.19.18.2
mozilla/netwerk/protocol/keyword/src/nsKeywordProtocolHandler.cpp 	1.37.18.1
mozilla/netwerk/protocol/res/src/nsResProtocolHandler.cpp 	1.64.18.1
mozilla/netwerk/protocol/viewsource/src/nsViewSourceHandler.cpp 	1.12.24.1

Note You need to log in before you can comment on or make changes to this bug.